{
  "private": true,
  "scripts": {
    "check-dependencies": "scripts/frontend/check_dependencies.sh",
    "block-dependencies": "node scripts/frontend/block_dependencies.js",
    "clean": "rm -rf public/assets tmp/cache/*-loader",
    "dev-server": "NODE_OPTIONS=\"--max-old-space-size=3584\" node scripts/frontend/webpack_dev_server.js",
    "file-coverage": "scripts/frontend/file_test_coverage.js",
    "lint-docs": "scripts/lint-doc.sh",
    "internal:eslint": "eslint --cache --max-warnings 0 --report-unused-disable-directives --ext .js,.vue",
    "internal:stylelint": "stylelint -q '{ee/,}app/assets/stylesheets/**/*.{css,scss}'",
    "prejest": "yarn check-dependencies",
    "jest": "jest --config jest.config.js",
    "jest-debug": "node --inspect-brk node_modules/.bin/jest --runInBand",
    "jest:integration": "jest --config jest.config.integration.js",
    "jsdoc": "jsdoc -c config/jsdocs.config.js",
    "prekarma": "yarn check-dependencies",
    "karma": "BABEL_ENV=${BABEL_ENV:=karma} karma start --single-run true config/karma.config.js",
    "karma-coverage": "BABEL_ENV=coverage karma start --single-run true config/karma.config.js",
    "karma-start": "BABEL_ENV=karma karma start config/karma.config.js",
    "lint:eslint": "yarn run internal:eslint",
    "lint:eslint:fix": "yarn run internal:eslint --fix",
    "lint:eslint:all": "yarn run internal:eslint .",
    "lint:eslint:all:fix": "yarn run lint:eslint:all --fix",
    "lint:eslint:report": "yarn run internal:eslint --format html --output-file ./eslint-report.html --no-inline-config .",
    "lint:eslint:staged": "scripts/frontend/execute-on-staged-files.sh internal:eslint '(js|vue)'",
    "lint:eslint:staged:fix": "yarn run lint:eslint:staged --fix",
    "lint:prettier": "yarn run prettier --check '**/*.{graphql,js,vue}'",
    "lint:prettier:fix": "yarn run prettier --write '**/*.{graphql,js,vue}'",
    "lint:prettier:staged": "scripts/frontend/execute-on-staged-files.sh prettier '(graphql|js|vue)' --check",
    "lint:prettier:staged:fix": "scripts/frontend/execute-on-staged-files.sh prettier '(graphql|js|vue)' --write",
    "lint:stylelint": "stylelint '{ee/,}app/assets/stylesheets/**/*.{css,scss}'",
    "lint:stylelint:fix": "yarn run lint:stylelint --fix",
    "lint:stylelint:staged": "scripts/frontend/execute-on-staged-files.sh stylelint '(css|scss)' -q",
    "lint:stylelint:staged:fix": "yarn run lint:stylelint:staged --fix",
    "markdownlint": "markdownlint --config .markdownlint.json",
    "postinstall": "node ./scripts/frontend/postinstall.js",
    "stylelint-create-utility-map": "node scripts/frontend/stylelint/stylelint-utility-map.js",
    "webpack": "NODE_OPTIONS=\"--max-old-space-size=3584\" webpack --config config/webpack.config.js",
    "webpack-vendor": "NODE_OPTIONS=\"--max-old-space-size=3584\" webpack --config config/webpack.vendor.config.js",
    "webpack-prod": "NODE_OPTIONS=\"--max-old-space-size=3584\" NODE_ENV=production webpack --config config/webpack.config.js"
  },
  "dependencies": {
    "@babel/core": "^7.10.1",
    "@babel/plugin-proposal-class-properties": "^7.10.1",
    "@babel/plugin-proposal-json-strings": "^7.10.1",
    "@babel/plugin-proposal-private-methods": "^7.10.1",
    "@babel/plugin-syntax-import-meta": "^7.10.1",
    "@babel/preset-env": "^7.10.1",
    "@gitlab/at.js": "1.5.7",
    "@gitlab/favicon-overlay": "2.0.0",
    "@gitlab/svgs": "1.185.0",
    "@gitlab/tributejs": "1.0.0",
    "@gitlab/ui": "28.15.0",
    "@gitlab/visual-review-tools": "1.6.1",
    "@rails/actioncable": "^6.0.3-4",
    "@rails/ujs": "^6.0.3-4",
    "@sentry/browser": "^5.22.3",
    "@sourcegraph/code-host-integration": "0.0.52",
    "@toast-ui/editor": "^2.5.1",
    "@toast-ui/vue-editor": "^2.5.1",
    "apollo-cache-inmemory": "^1.6.6",
    "apollo-client": "^2.6.10",
    "apollo-link": "^1.2.14",
    "apollo-link-batch-http": "^1.2.14",
    "apollo-link-http": "^1.5.17",
    "apollo-upload-client": "^13.0.0",
    "autosize": "^4.0.2",
    "aws-sdk": "^2.637.0",
    "axios": "^0.20.0",
    "babel-loader": "^8.2.2",
    "babel-plugin-lodash": "^3.3.4",
    "bootstrap": "4.4.1",
    "cache-loader": "^4.1.0",
    "clipboard": "^1.7.1",
    "codemirror": "^5.48.4",
    "codesandbox-api": "0.0.23",
    "compression-webpack-plugin": "^5.0.2",
    "copy-webpack-plugin": "^5.1.2",
    "core-js": "^3.9.1",
    "cron-validator": "^1.1.1",
    "cropper": "^2.3.0",
    "css-loader": "^2.1.1",
    "d3": "^5.16.0",
    "d3-sankey": "^0.12.3",
    "d3-scale": "^2.2.2",
    "d3-selection": "^1.2.0",
    "dateformat": "^3.0.3",
    "deckar01-task_list": "^2.3.1",
    "diff": "^3.4.0",
    "document-register-element": "1.14.3",
    "dompurify": "^2.2.7",
    "dropzone": "^4.2.0",
    "editorconfig": "^0.15.3",
    "emoji-regex": "^7.0.3",
    "emoji-unicode-version": "^0.2.1",
    "exports-loader": "^0.7.0",
    "fast-mersenne-twister": "1.0.2",
    "file-loader": "^5.1.0",
    "fuzzaldrin-plus": "^0.6.0",
    "graphql": "^15.4.0",
    "graphql-tag": "^2.11.0",
    "immer": "^7.0.7",
    "ipaddr.js": "^1.9.1",
    "jed": "^1.1.1",
    "jquery": "^3.5.0",
    "jquery.caret": "^0.3.1",
    "jquery.waitforimages": "^2.2.0",
    "js-cookie": "^2.2.1",
    "js-yaml": "^3.13.1",
    "jszip": "^3.1.3",
    "jszip-utils": "^0.0.2",
    "katex": "^0.10.0",
    "lodash": "^4.17.20",
    "marked": "^0.3.12",
    "mathjax": "3",
    "mermaid": "^8.9.0",
    "minimatch": "^3.0.4",
    "monaco-editor": "^0.20.0",
    "monaco-editor-webpack-plugin": "^1.9.0",
    "monaco-yaml": "^2.5.1",
    "mousetrap": "1.6.5",
    "pdfjs-dist": "^2.0.943",
    "pikaday": "^1.8.0",
    "popper.js": "^1.16.1",
    "prismjs": "^1.21.0",
    "prosemirror-markdown": "^1.5.1",
    "prosemirror-model": "^1.13.3",
    "raphael": "^2.2.7",
    "raw-loader": "^4.0.2",
    "select2": "3.5.2-browserify",
    "smooshpack": "^0.0.62",
    "sortablejs": "^1.10.2",
    "sql.js": "^0.4.0",
    "string-hash": "1.1.3",
    "style-loader": "^1.3.0",
    "swagger-ui-dist": "^3.44.1",
    "three": "^0.84.0",
    "three-orbit-controls": "^82.1.0",
    "three-stl-loader": "^1.0.4",
    "timeago.js": "^4.0.2",
    "tiptap": "^1.32.1",
    "tiptap-commands": "^1.17.1",
    "tiptap-extensions": "^1.35.1",
    "url-loader": "^3.0.0",
    "uuid": "8.1.0",
    "visibilityjs": "^1.2.4",
    "vue": "^2.6.12",
    "vue-apollo": "^3.0.3",
    "vue-loader": "^15.9.6",
    "vue-router": "3.4.9",
    "vue-template-compiler": "^2.6.12",
    "vue-virtual-scroll-list": "^1.4.4",
    "vuedraggable": "^2.23.0",
    "vuex": "^3.6.0",
    "web-vitals": "^0.2.4",
    "webpack": "^4.46.0",
    "webpack-bundle-analyzer": "^3.9.0",
    "webpack-cli": "^3.3.12",
    "webpack-stats-plugin": "^0.3.1",
    "worker-loader": "^2.0.0",
    "xterm": "3.14.5"
  },
  "devDependencies": {
    "@babel/plugin-transform-modules-commonjs": "^7.10.1",
    "@gitlab/eslint-plugin": "8.2.0",
    "@gitlab/stylelint-config": "2.3.0",
    "@testing-library/dom": "^7.16.2",
    "@vue/test-utils": "1.1.2",
    "acorn": "^6.3.0",
    "axios-mock-adapter": "^1.15.0",
    "babel-jest": "^26.5.2",
    "babel-plugin-dynamic-import-node": "^2.3.3",
    "babel-plugin-istanbul": "^6.0.0",
    "chalk": "^2.4.1",
    "commander": "^2.18.0",
    "custom-jquery-matchers": "^2.1.0",
    "docdash": "^1.0.2",
    "eslint": "7.21.0",
    "eslint-import-resolver-jest": "3.0.0",
    "eslint-import-resolver-webpack": "0.13.0",
    "eslint-plugin-jasmine": "4.1.2",
    "eslint-plugin-no-jquery": "2.5.0",
    "gettext-extractor": "^3.5.3",
    "gettext-extractor-vue": "^5.0.0",
    "glob": "^7.1.6",
    "istanbul-lib-coverage": "^3.0.0",
    "istanbul-lib-report": "^3.0.0",
    "istanbul-reports": "^3.0.0",
    "jasmine-core": "^2.9.0",
    "jasmine-diff": "^0.1.3",
    "jasmine-jquery": "^2.1.1",
    "jest": "^26.5.2",
    "jest-canvas-mock": "^2.1.2",
    "jest-environment-jsdom": "^26.5.2",
    "jest-junit": "^12.0.0",
    "jest-raw-loader": "^1.0.1",
    "jest-transform-graphql": "^2.1.0",
    "jest-util": "^26.5.2",
    "jsdoc": "^3.5.5",
    "jsdoc-vue": "^1.0.0",
    "karma": "^4.2.0",
    "karma-chrome-launcher": "^3.0.0",
    "karma-coverage-istanbul-reporter": "^2.1.0",
    "karma-jasmine": "^1.1.2",
    "karma-junit-reporter": "^1.2.0",
    "karma-mocha-reporter": "^2.2.5",
    "karma-sourcemap-loader": "^0.3.7",
    "karma-webpack": "^4.0.2",
    "markdownlint-cli": "0.24.0",
    "md5": "^2.2.1",
    "miragejs": "^0.1.40",
    "mock-apollo-client": "^0.5.0",
    "node-sass": "^4.14.1",
    "nodemon": "^2.0.4",
    "postcss": "^7.0.14",
    "prettier": "2.2.1",
    "readdir-enhanced": "^2.2.4",
    "timezone-mock": "^1.0.8",
    "vue-jest": "4.0.1",
    "webpack-dev-server": "^3.11.2",
    "xhr-mock": "^2.5.1",
    "yarn-check-webpack-plugin": "^1.2.0",
    "yarn-deduplicate": "^1.1.1"
  },
  "blockedDependencies": {
    "bootstrap-vue": "https://docs.gitlab.com/ee/development/fe_guide/dependencies.html#bootstrapvue"
  },
  "resolutions": {
    "chokidar": "^3.4.0",
    "monaco-editor": "0.20.0"
  },
  "engines": {
    "node": ">=10.13.0",
    "yarn": "^1.10.0"
  }
}
